curl --request POST \
--url https://app.fullenrich.com/api/v2/people/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/lookup"
payload = {
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: 'Enzo Romera',
person_professional_network_url: 'https://www.linkedin.com/in/enzo-romera',
person_professional_network_id: 530992355,
company_professional_network_url: 'https://www.linkedin.com/company/anthropic',
company_professional_network_id: 1883877,
company_domain: 'anthropic.com'
})
};
fetch('https://app.fullenrich.com/api/v2/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/people/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_name' => 'Enzo Romera',
'person_professional_network_url' => 'https://www.linkedin.com/in/enzo-romera',
'person_professional_network_id' => 530992355,
'company_professional_network_url' => 'https://www.linkedin.com/company/anthropic',
'company_professional_network_id' => 1883877,
'company_domain' => 'anthropic.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/people/lookup"
payload := strings.NewReader("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/people/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/people/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}"
response = http.request(request)
puts response.read_bodyLook Up People
Look up a single person using their identifiers (professional network URL/ID, or full name combined with a company identifier). Returns the best matching person.
curl --request POST \
--url https://app.fullenrich.com/api/v2/people/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/lookup"
payload = {
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: 'Enzo Romera',
person_professional_network_url: 'https://www.linkedin.com/in/enzo-romera',
person_professional_network_id: 530992355,
company_professional_network_url: 'https://www.linkedin.com/company/anthropic',
company_professional_network_id: 1883877,
company_domain: 'anthropic.com'
})
};
fetch('https://app.fullenrich.com/api/v2/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/people/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_name' => 'Enzo Romera',
'person_professional_network_url' => 'https://www.linkedin.com/in/enzo-romera',
'person_professional_network_id' => 530992355,
'company_professional_network_url' => 'https://www.linkedin.com/company/anthropic',
'company_professional_network_id' => 1883877,
'company_domain' => 'anthropic.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/people/lookup"
payload := strings.NewReader("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/people/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/people/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Provide at least one identifier to match a single person. The professional network URL or ID is the most reliable. A full name can be combined with a company identifier (domain, professional network URL, or professional network ID) to disambiguate the match.
Full name of the person to look up.
"Enzo Romera"
Professional network profile URL of the person.
"https://www.linkedin.com/in/enzo-romera"
Professional network profile ID of the person.
530992355
Professional network URL of the company the person works for. Used to disambiguate when looking up by name.
"https://www.linkedin.com/company/anthropic"
Professional network ID of the company the person works for. Used to disambiguate when looking up by name.
1883877
Domain of the company the person works for. Used to disambiguate when looking up by name.
"anthropic.com"
Was this page helpful?